/* DFRT view of combined guards:
   $e^G$ <= previously PAND(A,B,C), $e^B$ <= previously NOT(D) */
FactorModel {
  // 3-PAND on G with ABC
  G requires(ab,bc,C)          // gate event
    mishap;                    // alternative to: excludes (*)
  ab requires(A) direct;       // act = A before B
  bc requires(B) direct;       // act = B before C
  A causes(ab) direct;      
  B prevents(ab) causes(bc) direct;
  C prevents(bc) direct;
  
  // NOT on B with D (as part of a XOR guard)
  D prevents(B)  // $e^B$ => NOT(D) now and in the past
    direct;
  B prevents(D); // $e^B$ => NOT(D) now and in the future
}

Settings {
  suppressMishaps=true;         // switch off mishap analysis
  suppressMitigations=false;		// enable mitigation analysis
  suppressStateLabel=false;
  suppressMishapLabel=false;
}
